export const CACHE_TTL_SECONDS: 60;
export namespace DatafileVersion {
    let V4: string;
}
export const OPTIMIZELY_EDGE_HOSTNAME: "optimizely-edge.com";
/**
 * Optimizely query params. All are prefixed with 'optimizely_'.
 *
 * This is a subset of the query params that are parsed and consumed by client directives:
 * https://github.com/optimizely/client-js/blob/c4d866cadfcac259f083f581604753fb5afef2b4/src/core/directive/index.js#L19
 *
 * Parameter usage:
 *
 * * `optimizely_disable` (DISABLE) Disables Optimizely if present
 * * `optimizely_p13n` (EDITOR_V2) Indicates running in v2 (Optimizely X) editor.
 * * `optimizely_x` (FORCE_VARIATIONS) Comma-separated list of Variation IDs to bucket.
 *      If set, overrides any variations the visitor is in "naturally".
 * * `optimizely_opt_out` (OPT_OUT) Opts visitor out of Optimizely (sets cookie to persist).
 * * `optimizely_token` (TOKEN) Auth token for current project to load preview (unpublished/archived/paused) data.
 */
export type OptimizelyQueryParams = string;
export namespace OptimizelyQueryParams {
    let DISABLE: string;
    let EDITOR_V2: string;
    let FORCE_VARIATIONS: string;
    let LOG: string;
    let OPT_OUT: string;
    let TOKEN: string;
}
export namespace OptimizelyCookies {
    export let OEU_ID: string;
    let OPT_OUT_1: string;
    export { OPT_OUT_1 as OPT_OUT };
    export let OPTIMIZELY_TOKEN: string;
    export let OPTIMIZELY_SESSION: string;
}
export const SESSION_LENGTH_MS: number;
/**
 * Edge request headers.
 *
 * Parameter usage:
 *
 * * `X-Optimizely-Extend-Cookie-Lifetime` (EXTEND_COOKIE_LIFETIME) If set to false,
 *      we don't set the Optimizely End User ID cookie in the microsnippet (if it's already set).
 */
export type OptimizelyRequestHeaders = string;
export namespace OptimizelyRequestHeaders {
    let EXTEND_COOKIE_LIFETIME: string;
}
/**
 * Edge request URL query parameters.
 *
 * Parameter usage:
 *
 * * `extend_cookie_lifetime` (EXTEND_COOKIE_LIFETIME) If set to false,
 *      we don't set the Optimizely End User ID cookie in the microsnippet (if it's already set).
 * * `cookie_expiration` (COOKIE_EXPIRATION) this value overwrite
 *      the DEFAULT_COOKIE_EXPIRATION value.
 * `cookie_domain` (COOKIE_DOMAIN) If a value is defined and a is valid
 *      cookie domain, it will be set as the cookie domain.
 */
export type RequestQueryParameters = string;
export namespace RequestQueryParameters {
    let EXTEND_COOKIE_LIFETIME_1: string;
    export { EXTEND_COOKIE_LIFETIME_1 as EXTEND_COOKIE_LIFETIME };
    export let COOKIE_EXPIRATION: string;
    export let COOKIE_DOMAIN: string;
}
/**
 * Query parameters needed for Edge decider.
 *
 * Parameter usage:
 *
 * * `optimizely_manifest_bucket` (OPTIMIZELY_MANIFEST_BUCKET) Specifies S3 bucket from
 *   which to fetch web manifest
 * * `optimizely_bypass_log_sampling` (BYPASS_LOG_SAMPLING) Always log request to Honeycomb (undocumented).
 * * `optimizely_bust_cache` (BUST_CACHE) Control caching of downstream resources (undocumented).
 */
export type EdgeQueryParams = string;
export namespace EdgeQueryParams {
    let OPTIMIZELY_MANIFEST_BUCKET: string;
    let BYPASS_LOG_SAMPLING: string;
    let BUST_CACHE: string;
}
export namespace VisitorIdLocatorType {
    let COOKIE: string;
    let PAGE_QUERY: string;
    let JS_VARIABLE: string;
    let LOCALSTORAGE: string;
}
export namespace RequestType {
    let DISABLE_1: string;
    export { DISABLE_1 as DISABLE };
    export let EDITOR: string;
    export let PREVIEW: string;
    export let STANDARD: string;
    export let OPT_OUT_VIA_COOKIE: string;
    export let OPT_OUT_VIA_QUERY_PARAM: string;
}
export const DefaultCdnOrigin: "https://cdn.optimizely.com";
/**
 * List of Valid S3 buckets from which we can fetch.
 * @type {{"optimizely-staging": string, "optimizely-dev": string}}
 */
export const ValidS3Buckets: {
    "optimizely-staging": string;
    "optimizely-dev": string;
};
/**
 * FileName.
 * @type {{WEB_MANIFEST: string}}
 */
export const FileName: {
    WEB_MANIFEST: string;
};
export namespace WorkerHost {
    let local: string;
}
export namespace OptimizelyLogLevel {
    let DEBUG: string;
    let ERROR: string;
    let INFO: string;
    let WARN: string;
}
export const DebugOnlyKeys: string[];
/**
 * These are the primitive properties that are passed to us in the request that we want to log into Honeycomb.
 * @array {String}
 */
export const RequestPropertiesToLog: string[];
/**
 * The request has a "cf" property that is an object itself containing properties that we want to log into Honeycomb.
 * These are the specific properties that we want to log.
 * @array {String}
 */
export const RequestCFPropertiesToLog: string[];
/**
 * This is the property name for the CF data on the request object.
 * @type {string}
 */
export const REQUEST_CF_PROPERTY_NAME: string;
export namespace ViewActivationTypes {
    let immediate: string;
    let URLChanged: string;
    let DOMChanged: string;
}
export namespace ExperimentType {
    let EQUAL_PRIORITY: string;
    let SINGLE_EXPERIMENT: string;
    let MULTIVARIATE: string;
}
/**
 * Until we support cookieExpiration, use 6 months (15552000 secs) for expiration of Optimizely cookies (default in tracking snippet)
 * https://github.com/optimizely/client-js/blob/2b25fa05fde9a03019e0081cd2849c921ec5eef6/src/core/stores/cookie_options.js#L20
 *
 */
export const DEFAULT_COOKIE_EXPIRATION: number;
/**
 * This is the expiration time (max age) for Opt Out cookies - 10 years (315360000 secs).
 */
export const OPT_OUT_COOKIE_EXPIRATION: number;
export namespace ERROR_CODE {
    let InputError: number;
    let DataError: number;
    let InternalError: number;
}
declare namespace _default {
    export { CACHE_TTL_SECONDS };
    export { DatafileVersion };
    export { DebugOnlyKeys };
    export { DEFAULT_COOKIE_EXPIRATION };
    export { DefaultCdnOrigin };
    export { EdgeQueryParams };
    export { OptimizelyCookies };
    export { OptimizelyLogLevel };
    export { OptimizelyQueryParams };
    export { OptimizelyRequestHeaders };
    export { OPTIMIZELY_EDGE_HOSTNAME };
    export { OPT_OUT_COOKIE_EXPIRATION };
    export { RequestCFPropertiesToLog };
    export { RequestPropertiesToLog };
    export { RequestQueryParameters };
    export { REQUEST_CF_PROPERTY_NAME };
    export { RequestType };
    export { ValidS3Buckets };
    export { ViewActivationTypes };
    export { VisitorIdLocatorType };
    export { WorkerHost };
    export { ERROR_CODE };
}
export default _default;
